### File

`packages/eui/packages/components-next/src/lib/components/eui-table/paginator/eui-table-paginator.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

selector | `eui-table-paginator`
templateUrl | `./eui-table-paginator.component.html`

### Index

###### Properties
_hasPageNumberNavigation _isHidden Public length$ Public nbPage Public page$ Public range
###### Methods
Public changePageSize Public getPage Public getRange Public goFirstPage Public goLastPage Public goNextPage Public goPreviousPage Public goToPage Public setLength Public setPage
###### Inputs
hasPageNumberNavigation isHidden length nbPageNumberNavigation page pageSize pageSizeOptions
###### Outputs
pageChange
###### Accessors
hasPageNumberNavigation isHidden pageNumberNavigation

### Constructor

`constructor()`

### Inputs

hasPageNumberNavigation

isHidden

length
Type : `number`

nbPageNumberNavigation
Type : `number`
Default value : `5`

page
Default value : `0`

pageSize
Default value : `10`

pageSizeOptions
Type : `number[]`
Default value : `[5, 10, 25, 50, 100]`

### Outputs

pageChange
Type : `EventEmitter`

### Methods

Public changePageSize
`changePageSize(size: number)`
Parameters :
Name | Type | Optional
size | `number` | No
Returns : `void`

Public getPage
`getPage(page: number)`
Change the pagination to the given page number Parameters :
Name | Type | Optional | Description
page | `number` | No | 0-based page number to be displayed
Returns : `void`

Public getRange
`getRange()`
Returns : `void`

Public goFirstPage
`goFirstPage()`
Returns : `void`

Public goLastPage
`goLastPage()`
Returns : `void`

Public goNextPage
`goNextPage()`
Returns : `void`

Public goPreviousPage
`goPreviousPage()`
Returns : `void`

Public goToPage
`goToPage(page: number)`
Parameters :
Name | Type | Optional
page | `number` | No
Returns : `void`

Public setLength
`setLength(length: number)`
Parameters :
Name | Type | Optional
length | `number` | No
Returns : `void`

Public setPage
`setPage(page: PaginationEvent)`
Parameters :
Name | Type | Optional
page | `PaginationEvent` | No
Returns : `void`

### Properties

_hasPageNumberNavigation
Default value : `false`

_isHidden
Default value : `false`

Public length$
Type : `BehaviorSubject<number>`
Default value : `new BehaviorSubject(0)`

Public nbPage
Type : `number`

Public page$
Type : `BehaviorSubject<PaginationEvent>`
Default value : `new BehaviorSubject(null)`

Public range
Type : `string`

### Accessors

hasPageNumberNavigation
set `hasPageNumberNavigation(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isHidden
set `isHidden(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

pageNumberNavigation
get `pageNumberNavigation()`

# result-matching ""

# No results matching ""